'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});


/**
 * Create an adapter around faussaire
 * @param instance
 */

/**
 * Copyright (c) 2017-present, Evosphere.
 * All rights reserved.
 */

var createAdapter = function createAdapter(instance) {
  return function () {
    return {
      sendRequest: function sendRequest(request) {
        return new Promise(function (resolve) {
          return resolve(instance.emit(request));
        });
      }
    };
  };
};

exports.default = createAdapter;